### Navigation

- index
- modules |
- next |
- previous |
- IPython v0.10 documentation »
- The IPython API »

# upgrade_dir

## Module: `upgrade_dir`

A script/util to upgrade all files in a directory

This is rather conservative in its approach, only copying/overwriting new and unedited files.

To be used by “upgrade” feature.

## Functions

`IPython.upgrade_dir.``showdiff`(old, new)

`IPython.upgrade_dir.``upgrade_dir`(srcdir, tgtdir)

  Copy over all files in srcdir to tgtdir w/ native line endings

  Creates .upgrade_report in tgtdir that stores md5sums of all files to notice changed files b/w upgrades.

### Navigation

- index
- modules |
- next |
- previous |
- IPython v0.10 documentation »
- The IPython API »